<div id="login-page" class="container-fluid">
  <div class="container">
    <div class="row">
      <div class="col-lg-9">
        <p>
          Cubic House - osiedle wybudowane z myślą o osobach ceniących sobie wygodę jaką jest bliskość miasta i własny ogród. Unikatowa architektura, wysokiej jakości materiały, ogromne przeszklenia z ekspozycją na wschód - zachód oraz instalacje podnoszące komfort i bezpieczeństwo mieszkańców to tylko początek
        </p>
      </div>
      <div class="col-lg-3">
        <h5>{{'LOGIN.SIGNIN' | translate}}</h5>
        <ch-message-alert [message]="message"></ch-message-alert>
        <form name="form" (ngSubmit)="f.form.valid && onLogin()" #f="ngForm" novalidate>
          <!-- Email -->
          <div class="form-group"
              [ngClass]="{'has-danger': f.submitted && !email.valid}">
              <input type="email"
                    class="form-control"
                    name="email"
                    placeholder="Email"
                    [(ngModel)]="model.email"
                    #email="ngModel"
                    required/>
              <small class="form-control-feedback"
                    *ngIf="f.submitted && !email.valid">{{'LOGIN.EMAIL_REQUIRED' | translate}}</small>
          </div><!-- end Email -->
          <!-- Password -->
          <div class="form-group"
              [ngClass]="{'has-danger': f.submitted && !password.valid}">
              <input type="password"
                    class="form-control"
                    name="password"
                    placeholder="{{'LOGIN.PASSWORD_PLACEHOLDER' | translate}}"
                    [(ngModel)]="model.password"
                    #password="ngModel"
                    required/>
              <small class="form-control-feedback"
                    *ngIf="f.submitted && !password.valid">{{'LOGIN.PASSWORD_REQUIRED' | translate}}</small>
          </div><!-- end Password -->

          <button class="btn btn-outline-success pull-right btn-block" type="submit">
            {{'LOGIN.LOGIN_BTN' | translate}}
          </button>
          <button type="button" class="btn btn-link"
                  [routerLink]="['/enter/forgot']">
                  {{'LOGIN.FORGOT_PASSWORD' | translate}}
          </button>
          <div class="register-link">
            <hr>
            <span>{{'LOGIN.DO_NOT_HAVE_ACCOUNT' | translate}},</span>
            <button type="button" class="btn btn-link"
                    [routerLink]="['/enter/signup']">
                    {{'LOGIN.CREATE_ACCOUNT' | translate}}
            </button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
